void designPoints(int red, int green, int blue, boolean text) {
  noFill();
  stroke(red, green, blue);
  counter = 0;

  PFont mono;
  // The font "CourierNewPSMT-18" must be located in the
  // current sketch's "data" directory to load successfully
  mono = createFont("Courier New", 18);
  textFont(mono);
   
  for (int n = 0; n < 6; n++) {
    strokeWeight(weight);
    fill(0, 0, 0);
    ellipse(xDesign[n], yDesign[n], 10, 10);
    fill(255, 0, 0); // red text
    if (text) {
      text(n, xDesign[n] + xOffset, yDesign[n] + yOffset);
    }
    noFill();
  }
}
